Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLClassAssertionAxiomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLClassAssertionAxiomImpl

All Implemented Interfaces:
  OWLAxiom, OWLClassAssertionAxiom, OWLObject

    public class OWLClassAssertionAxiomImpl

extends Object
implements OWLClassAssertionAxiom

Constructor Summary
`OWLClassAssertionAxiomImpl(OWLIndividual individual, OWLClass description)`

Method Summary
`boolean` | `equals(Object obj)`
`OWLClass` | `getDescription()`
`OWLIndividual` | `getIndividual()`
`int` | `hashCode()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OWLClassAssertionAxiomImpl

    public OWLClassAssertionAxiomImpl(OWLIndividual individual,
                                      OWLClass description)

Method Detail

### getDescription

    public OWLClass getDescription()

  Specified by:
    `getDescription` in interface `OWLClassAssertionAxiom`

### getIndividual

    public OWLIndividual getIndividual()

  Specified by:
    `getIndividual` in interface `OWLClassAssertionAxiom`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.